Bug 206494 - Review Request: ssss - Shamir's secret sharing scheme
Review Request: ssss - Shamir's secret sharing scheme
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
: 206492 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-14 14:16 EDT by Paul Wouters
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-16 02:38:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2006-09-14 14:16:22 EDT
Spec URL: ftp://ftp.xelerance.com/ssss/ssss.spec
SRPM URL: ftp://ftp.xelerance.com/ssss/ssss-0.5-1.src.rpm
Description: 
ssss is an implementation of Shamir's secret sharing scheme.  ssss does
both: the generation of shares for a known secret and the reconstruction
of a secret using user provided shares.
Comment 1 Jason Tibbitts 2006-09-15 20:03:13 EDT
I understand why you can't use the makefile, but I don't understand
"$RPM_OPT_FLAGS/%{optflags}" on the gcc command line.  Surely you only need the
"$RPM_OPT_FLAGS" bit.  This is really the only blocker I see, so I'll go ahead
and approve and you can fix it when you check in.

Review:
* source files match upstream:
   24227252aa195a146d09de1df10357a1  ssss-0.5.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
? build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   ssss = 0.5-1.fc6
  =
   libgmp.so.3()(64bit)
* %check is not present; no test suite upstream.
* no shared libraries are added to the regular linker search paths.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.

APPROVED, just fix the gcc command line.
Comment 2 Paul Wouters 2006-09-16 02:24:25 EDT
*** Bug 206492 has been marked as a duplicate of this bug. ***
Comment 3 Paul Wouters 2006-09-16 02:26:29 EDT
Thanks. It was already fixed in 0.5.0-2. Unfortunately, upon my first
submission, bugzilla timed out and I submitted again. Turned out both bugs made
it, and my comments were in the other one.

Thanks for the review and approval
Comment 4 Jason Tibbitts 2006-09-16 10:03:11 EDT
Oh, I apologize for not seeing that other ticket.

Note You need to log in before you can comment on or make changes to this bug.